
body, html {
    height: 100%;
    margin: 0;
    overflow: hidden;
}

.canvas-holder{
    position: relative;
}
canvas {
    display: block;
    width: 100%;
    height: 100%;
    background-color: transparent;
    position: absolute;
}
#canvasLeaves {
    z-index: 2;
}
#canvasFade {
    z-index: 1;
}
#canvasGrass {
    z-index: 0;
}

.navbar {
    position: absolute;
    top: 0px;
    padding: 15px;
    width: 90%;
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    color: white;
}
.navitem {
    font-family: Arial, Helvetica, sans-serif;
    color: #CCC;
    margin: 0 10px;
    cursor: pointer;
    padding: 2px 15px;
    border: 1px solid #555;
    border-radius: 25px;
    font-size: 18px;
}
.navitem:hover {
    color: #b7e9bc;
    border-color: #b7e9bc;
}

#header {
    position: absolute;
    z-index: 3;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    /* border-radius: 10%; */
    background: rgb(0,0,0);
    background: linear-gradient(180deg, rgba(0,0,0,0.95) 14%,  rgba(0,0,0,0.75) 44%, rgba(0,127,255,0) 99%);
    /* background: linear-gradient(to bottom, black, transparent); /* Fade */ */
    /* padding: 20px; */
    color: white; /* Header text color */
    /* z-index: 1; /* Ensure the header is on top of the canvas */ */
}

.header-text {
    position: absolute;
    top: 10%;
    width: 100%;
    color: white;
    /* z-index: 1; /* Ensure the header is on top of the canvas */ */
}

.title-text{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 7em;
    color: #b7e9bc;
    font-weight: bold;
    display: flex;
    flex-direction: row;
    justify-content: center;
}
.title-text > span {
    margin: 0 15px;
}

.subtext {
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.subtext > span {
    font-size: 1.5em;
    margin-top: 1.5em;
}

@media (max-width: 1000px) {
    /* .header-text {
        top: 13em;
    } */
    .title-text {
        font-size: 7em;
    }
    .subtext > span {
        font-size: 1.5em;
        margin-top: 1.5em;
    }
}


@-webkit-keyframes fading {
    from {
        opacity: 0;
    }
    to {
            opacity: 1;
    }
}
@-moz-keyframes fading {
    from {
        opacity: 0;
    }
    to {
            opacity: 1;
    }
}

@keyframes fading {
    from {
        opacity: 0;
    }
    to {
            opacity: 1;
    }
}

.invisible {
    opacity: 0;
    font-weight: normal;
    color: white;
    -webkit-animation: fading ease-in 1s;
    animation: fading ease-in 1s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -webkit-animation-duration: 3s;
    animation-duration: 3s;
    -webkit-animation-delay: 1s;
    animation-delay: 1s

}

.invisible.one {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-delay: 4s;
    animation-delay: 4s
}

.invisible.two {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-delay: 5s;
    animation-delay: 5s
}

.invisible.three {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-delay: 6s;
    animation-delay: 6s;
}
